Component({
  mixins: [],
  data: {
    index: 0,
    lableTree: []
  },
  props: {
    cycleTimes: '0',// 循环次数
    locationName: '',//区域name
    locationId: '',// 区域id
    areTreeList: []
  },
  didMount() {
    let lableTree = this.props.areTreeList.map(item => {
      return {
        ...item,
        status: true
      }
    })
    this.setData({
      lableTree: lableTree,
      index: parseInt(this.props.cycleTimes)
    })
  },
  didUpdate() {},
  didUnmount() {},
  methods: {
    onChangeStatus(e) {
      let index = e.target.dataset.index
      let listStr = `lableTree[${index}].status`
      this.setData({
        [listStr]: this.data.lableTree[index].status ? false : true
      })
    },
    onChangeAreId(e){
      let index = e.target.dataset.index
      let data = {
        id: this.data.lableTree[index].id === this.props.locationId ? '' : this.data.lableTree[index].id,
        name: this.data.lableTree[index].id === this.props.locationId ? '全部区域' : this.data.lableTree[index].name
      }
      this.onPropsCS(data)
    },
    onPropsCS(data) {
      this.props.onPropsCS(data)
    }
  },
});
